Import the actor's personal WhatsApp sessions into the active workspace
curl --request POST \
--url https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal"
payload = { "session_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"status": "accepted",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"error_code": "<string>",
"error_message": "<string>"
}
],
"request_id": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}workspaces
Import the actor's personal WhatsApp sessions into the active workspace
POST
/
v2
/
workspaces
/
{org_id}
/
sessions
/
import-personal
Import the actor's personal WhatsApp sessions into the active workspace
curl --request POST \
--url https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal"
payload = { "session_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"status": "accepted",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"error_code": "<string>",
"error_message": "<string>"
}
],
"request_id": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Optional personal session ids to import. When omitted, every importable personal session owned by the actor is considered.